#!/bin/sh

# Screader - screen reader for Linux install script.
# (C)1999 J. Lemmens

# Screader only works on Linux version 1.1.92 or later.

# Set user to root for best results.
if [ ! $LOGNAME = root ];then
   echo "Please change to user root."
   exit 1
fi

# Make a directory /opt/etc/screader.
test ! -d /opt && ln -s /usr/local /opt
test ! -d /opt/etc && mkdir /opt/etc
test ! -d /opt/etc/screader && mkdir /opt/etc/screader

# Copy all punctuation.?.sh and the tts files to /opt/etc/screader.
cp tts /opt/etc/screader
cp punctuation.1.sh.english /opt/etc/screader/punctuation.1.sh

# Place the manual in the man-directory.
cp screader.1 /opt/man/man1
gzip -9f /opt/man/man1/screader.1

# Place the binary in the bin-directory and give it the set-user-id.
test ! -d /opt/bin && mkdir /opt/bin
cp screader /opt/bin
chmod u+s /opt/bin/screader

# Make vcs device.
# Script by Jakub Jelinek
#
if [ ! -e /dev/vcs0 ]; then
   I=0
   while [ $I -lt 10 ]; do
      mknod /dev/vcs$I c 7 $I
      chmod 622 /dev/vcs$I
      chown root.tty /dev/vcs$I
      mknod /dev/vcsa$I c 7 `expr $I + 128`
      chmod 622 /dev/vcsa$I
      chown root.tty /dev/vcsa$I
      I=`expr $I + 1`
   done
fi

# Place the say synth in /opt/bin.
# rsynth: version 1.13 1994/11/08
cp say /opt/bin

echo "The screader screen reader has been installed."
